Question about chaotic-aur and the version of a package

Ok so here is the issue I am having there are 3 versions of megasync in the chaotic-AUR one is just megasync, two is megasync-bin and three is megasync-git. The regular megasync does not work for my computer and just crashes, so I switched to the -bin version, and it works great...the problem comes in to when I update my system for some reason it gets reverted to the regular megasync version. Is there away for me to get the update command to stop doing this?

System:
Kernel: 5.16.2-zen1-1-zen x86_64 bits: 64 compiler: gcc v: 11.1.0
parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
root=UUID=1f847441-d85d-4eba-84e0-a8a2349b1e98 rw [email protected]
quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
systemd.unified_cgroup_hierarchy=1 loglevel=3
Desktop: KDE Plasma 5.23.5 tk: Qt 5.15.2 info: latte-dock wm: kwin_x11
vt: 1 dm: SDDM Distro: Garuda Linux base: Arch Linux
Machine:
Type: Desktop Mobo: ASRock model: 990FX Extreme9
serial: <superuser required> UEFI: American Megatrends v: P1.80
date: 03/29/2016
CPU:
Info: model: AMD FX-8320 bits: 64 type: MT MCP arch: Piledriver
family: 0x15 (21) model-id: 2 stepping: 0 microcode: 0x6000852
Topology: cpus: 1x cores: 8 smt: enabled cache: L1: 384 KiB
desc: d-8x16 KiB; i-4x64 KiB L2: 8 MiB desc: 4x2 MiB L3: 8 MiB
desc: 1x8 MiB
Speed (MHz): avg: 2716 high: 3695 min/max: 1400/3500 boost: enabled
scaling: driver: acpi-cpufreq governor: performance cores: 1: 1500 2: 3667
3: 2720 4: 1883 5: 1454 6: 3695 7: 3338 8: 3477 bogomips: 55996
Flags: avx ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm
Vulnerabilities:
Type: itlb_multihit status: Not affected
Type: l1tf status: Not affected
Type: mds status: Not affected
Type: meltdown status: Not affected
Type: spec_store_bypass
mitigation: Speculative Store Bypass disabled via prctl
Type: spectre_v1
mitigation: usercopy/swapgs barriers and __user pointer sanitization
Type: spectre_v2 mitigation: Full AMD retpoline, IBPB: conditional,
STIBP: disabled, RSB filling
Type: srbds status: Not affected
Type: tsx_async_abort status: Not affected
Graphics:
Device-1: NVIDIA GM204 [GeForce GTX 970] vendor: eVga.com. driver: nvidia
v: 495.46 alternate: nouveau,nvidia_drm bus-ID: 01:00.0 chip-ID: 10de:13c2
class-ID: 0300
Display: x11 server: X.Org 1.21.1.3 compositor: kwin_x11 driver:
loaded: nvidia unloaded: modesetting alternate: fbdev,nouveau,nv,vesa
display-ID: :0 screens: 1
Screen-1: 0 s-res: 1920x1080 s-dpi: 91 s-size: 535x301mm (21.1x11.9")
s-diag: 614mm (24.2")
Monitor-1: DVI-I-1 res: 1920x1080 hz: 60 dpi: 92
size: 531x299mm (20.9x11.8") diag: 609mm (24")
OpenGL: renderer: NVIDIA GeForce GTX 970/PCIe/SSE2 v: 4.6.0 NVIDIA 495.46
direct render: Yes
Audio:
Device-1: AMD SBx00 Azalia vendor: ASRock driver: snd_hda_intel v: kernel
bus-ID: 00:14.2 chip-ID: 1002:4383 class-ID: 0403
Device-2: NVIDIA GM204 High Definition Audio vendor: eVga.com.
driver: snd_hda_intel v: kernel bus-ID: 01:00.1 chip-ID: 10de:0fbb
class-ID: 0403
Sound Server-1: ALSA v: k5.16.2-zen1-1-zen running: yes
Sound Server-2: PulseAudio v: 15.0 running: no
Sound Server-3: PipeWire v: 0.3.44 running: yes
Network:
Device-1: Intel Wireless 7260 driver: iwlwifi v: kernel bus-ID: 07:00.0
chip-ID: 8086:08b1 class-ID: 0280
IF: wlp7s0 state: down mac: <filter>
Device-2: Intel 82583V Gigabit Network vendor: ASRock driver: e1000e
v: kernel port: a000 bus-ID: 0a:00.0 chip-ID: 8086:150c class-ID: 0200
IF: enp10s0 state: up speed: 1000 Mbps duplex: full mac: <filter>
Bluetooth:
Device-1: Cambridge Silicon Radio Bluetooth Dongle (HCI mode) type: USB
driver: btusb v: 0.8 bus-ID: 1-3.4:5 chip-ID: 0a12:0001 class-ID: e001
Report: bt-adapter ID: hci0 rfk-id: 0 state: up address: <filter>
Drives:
Local Storage: total: 2 TiB used: 985.98 GiB (48.2%)
SMART Message: Unable to run smartctl. Root privileges required.
ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: Western Digital
model: WDS500G2B0C-00PXH0 size: 465.76 GiB block-size: physical: 512 B
logical: 512 B speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter>
rev: 211210WD temp: 26.9 C scheme: GPT
ID-2: /dev/sda maj-min: 8:0 vendor: Hitachi model: HDP725032GLA360
size: 298.09 GiB block-size: physical: 512 B logical: 512 B speed: 3.0 Gb/s
type: HDD rpm: 7200 serial: <filter> rev: A5BA scheme: GPT
ID-3: /dev/sdb maj-min: 8:16 vendor: Intel model: SSDSA2BW120G3
size: 111.79 GiB block-size: physical: 512 B logical: 512 B speed: 3.0 Gb/s
type: SSD serial: <filter> rev: 0302 scheme: GPT
ID-4: /dev/sdc maj-min: 8:32 vendor: Samsung model: SSD 840 PRO Series
size: 238.47 GiB block-size: physical: 512 B logical: 512 B speed: 6.0 Gb/s
type: SSD serial: <filter> rev: 5B0Q scheme: GPT
ID-5: /dev/sdd maj-min: 8:48 vendor: Seagate model: ST1000DM003-1CH162
size: 931.51 GiB block-size: physical: 4096 B logical: 512 B
speed: <unknown> type: HDD rpm: 7200 serial: <filter> rev: CC47
scheme: GPT
Partition:
ID-1: / raw-size: 465.47 GiB size: 465.47 GiB (100.00%)
used: 209.32 GiB (45.0%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%)
used: 576 KiB (0.2%) fs: vfat dev: /dev/nvme0n1p1 maj-min: 259:1
ID-3: /home raw-size: 465.47 GiB size: 465.47 GiB (100.00%)
used: 209.32 GiB (45.0%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
ID-4: /var/log raw-size: 465.47 GiB size: 465.47 GiB (100.00%)
used: 209.32 GiB (45.0%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
ID-5: /var/tmp raw-size: 465.47 GiB size: 465.47 GiB (100.00%)
used: 209.32 GiB (45.0%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
Swap:
Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
ID-1: swap-1 type: zram size: 15.58 GiB used: 302.5 MiB (1.9%)
priority: 100 dev: /dev/zram0
Sensors:
System Temperatures: cpu: 29.5 C mobo: 32.0 C gpu: nvidia temp: 58 C
Fan Speeds (RPM): fan-1: 1355 fan-2: 0 fan-3: 0 fan-4: 0 fan-5: 0
gpu: nvidia fan: 0%
Power: 12v: N/A 5v: N/A 3.3v: 3.22 vbat: 3.36
Info:
Processes: 399 Uptime: 2d 22h 53m wakeups: 0 Memory: 15.58 GiB
used: 6.68 GiB (42.9%) Init: systemd v: 250 tool: systemctl Compilers:
gcc: 11.1.0 clang: 13.0.0 Packages: pacman: 1923 lib: 521 Shell: fish
v: 3.3.1 default: Bash v: 5.1.16 running-in: konsole inxi: 3.3.12
Garuda (2.5.3-1):
System install date:     2021-12-01
Last full system update: 2022-01-31
Is partially upgraded:   No
Relevant software:       NetworkManager
Windows dual boot:       Probably (Run as root to verify)
Snapshots:               Snapper
Failed units:

Have you deleted the normal package (not -bin) from your pacman cache?

I just gave that a try, and it helped because now I at least get the question of whether I want to replace -bin with the normal one.

Awesome! :smiley:

Since there are multiple packages in the repo I'm not sure how to lock to just one, but maybe someone else can chime in.

1 Like

This is really strange. I don't have a real solution but only a temporary workaround until someone finds a better handling.
Open /etc/pacman.conf file goto line IgnorePkg and add to what is there
megasync-bin, e.g.

IgnorePkg = megasync-bin

Then, in case of a new version, the update should notify you that it was skipped, but you should be anyway able to reinstall (i.e. update) it with:
sudo pacman -S megasync-bin

1 Like

Isn't the opposite what he wants to do? To keep megasync-bin and IgnorePkg the other 2 versions?

1 Like

I don't know what to mark as a solution but FGD seems to be right I put in IgnorePkg = megasync into /etc/pacman.conf and I got:

warning: ignoring package replacement (megasync-bin-4.6.1-2 => megasync-4.5.3.0-2)

when I run update so I think that is the outcome I was after.

2 Likes